]> git.ipfire.org Git - thirdparty/glibc.git/blobdiff - posix/tst-getconf.sh
Prefer https to http for gnu.org and fsf.org URLs
[thirdparty/glibc.git] / posix / tst-getconf.sh
index 6b5c433b8a123db2b44d289efa73768fca964661..9dbd70992043ee01e09ca08976ae02755cc85fad 100644 (file)
@@ -1,22 +1,34 @@
-#! /bin/sh
+#!/bin/sh
+# Test for getconf(1).
+# Copyright (C) 2001-2019 Free Software Foundation, Inc.
+# This file is part of the GNU C Library.
+
+# The GNU C Library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2.1 of the License, or (at your option) any later version.
+
+# The GNU C Library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# Lesser General Public License for more details.
+
+# You should have received a copy of the GNU Lesser General Public
+# License along with the GNU C Library; if not, see
+# <https://www.gnu.org/licenses/>.
+
+set -e
 
 common_objpfx=$1; shift
-elf_objpfx=$1; shift
-rtld_installed_name=$1; shift
-logfile=$common_objpfx/posix/tst-getconf.out
+run_getconf=$1; shift
 
-# Since we use `sort' we must make sure to use the same locale everywhere.
-LC_ALL=C
-export LC_ALL
-LANG=C
-export LANG
+logfile=$common_objpfx/posix/tst-getconf.out
 
 rm -f $logfile
 result=0
 while read name; do
-  echo -n "getconf $name: " >> $logfile
-  ${elf_objpfx}${rtld_installed_name} --library-path ${common_objpfx} \
-  ${common_objpfx}posix/getconf "$name" 2>> $logfile >> $logfile
+  printf %s "getconf $name: " >> $logfile
+  ${run_getconf} "$name" < /dev/null 2>> $logfile >> $logfile
   if test $? -ne 0; then
     echo "*** $name FAILED" >> $logfile
     result=1
@@ -193,9 +205,8 @@ XBS5_LPBIG_OFFBIG_LINTFLAGS
 EOF
 
 while read name; do
-  echo -n "getconf $name /: " >> $logfile
-  ${elf_objpfx}${rtld_installed_name} --library-path ${common_objpfx} \
-  ${common_objpfx}posix/getconf "$name" / 2>> $logfile >> $logfile
+  printf %s "getconf $name /: " >> $logfile
+  ${run_getconf} "$name" / < /dev/null 2>> $logfile >> $logfile
   if test $? -ne 0; then
     echo "*** $name FAILED" >> $logfile
     result=1